Bug 178583 - kernel oops on attempt to download a file through tux
kernel oops on attempt to download a file through tux
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
All Linux
medium Severity high
: ---
: ---
Assigned To: Ingo Molnar
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-21 18:57 EST by Nathan G. Grennan
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 16:24:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2006-01-21 18:57:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.7.12) Gecko/20051215 Galeon/2.0.0

Description of problem:
  I installed the tux package and change the docroot directory to a user's public_html directory. I then reconfigured httpd to listen on 8080 and restarted httpd. I then started tux sucessfully. I then ran echo to set http_dir_indexing to 1. I then went to tux via a web browser and found a file I wanted to download. It was a 3gb iso file. I then tried to use prozilla to download it, proz -k=16 url. Instead of starting the kernel oopsed.


TUX: logger thread started.
TUX: thread 0 listens on http://0.0.0.0:80.
Unable to handle kernel NULL pointer dereference at virtual address 00000005
 printing eip:
df9d7e8e
*pde = 0b20b067
Oops: 0002 [#1]
last sysfs file: /class/vc/vcs5/dev
Modules linked in: tux zlib_deflate ipv6 iptable_filter ip_tables dm_mod video button battery ac uhci_hcd ehci_hcd i2c_viapro i2c_core via_rhine mii floppy ext3 jbd
CPU:    0
EIP:    0060:[<df9d7e8e>]    Not tainted VLI
EFLAGS: 00210246   (2.6.15-1.1824_FC4)
EIP is at http_send_body+0x67/0xef [tux]
eax: ffffffe5   ebx: c3a046ac   ecx: 00000000   edx: 00000000
esi: 00000000   edi: df9ed340   ebp: 00000004   esp: d10aff50
ds: 007b   es: 007b   ss: 0068
Process tux (pid: 16394, threadinfo=d10af000 task=d976bab0)
Stack: c3a046ac 00000000 df9d1264 c3a046ac df9ed4d8 df9d20fd df9ed4e8 d10aff84
       df9ed340 df9ed4e8 00000000 d10af000 df9dd0fc 00000000 00000005 df9ed340
       df9dec87 d10affbc c0331213 00000004 0000000e 0000000b 00000005 00000005
Call Trace:
 [<df9d1264>] tux_schedule_atom+0x24/0x35 [tux]     [<df9d20fd>] process_requests+0xc5/0xf4 [tux]
 [<df9dd0fc>] event_loop+0x6c/0x18a [tux]     [<df9dec87>] __sys_tux+0x1c7/0x6ea [tux]
 [<c0102e75>] syscall_call+0x7/0xb
Code: 74 61 7e 1f 83 f8 fd 8d b6 00 00 00 00 74 7a 83 c0 01 75 14 5b 5e c3 c7 83 d4 03 00 00 c8 00 00 00 eb c5 83 f8 fb 74 76 8b 43 6c <c7> 40 20 00 00 00 00 c7 40 24 00 00 00 00 89 d8 5b 5e e9 21 87
Continuing in 1 seconds.
 <5>TUX: thread 0 stopping ...


Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1824_FC4

How reproducible:
Didn't try

Steps to Reproduce:
1. service httpd stop
2. yum -y install tux
3. service tux start
4. proz -k=16 url
  

Actual Results:  Oops

Expected Results:  File to download and kernel not to oops

Additional info:
Comment 1 Dave Jones 2006-02-03 02:04:35 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 2 John Thacker 2006-05-05 16:24:59 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.